| Home | Libraries | People | FAQ | More

## Class template simple_exception_policy

boost::CV::simple_exception_policy —

Template to shortcut the constrained_value policy creation process.

## Synopsis

    template<typename rep_type, rep_type min_value, rep_type max_value,
             typename exception_type>
    class simple_exception_policy {
    public:
      // types
      typedef rep_type value_type;

      // public static functions
      rep_type min BOOST_PREVENT_MACRO_SUBSTITUTION() ;
      rep_type max BOOST_PREVENT_MACRO_SUBSTITUTION() ;
      void on_error(rep_type, rep_type, violation_enum) ;
    };

## Description

### `simple_exception_policy` public static functions

1.     rep_type min BOOST_PREVENT_MACRO_SUBSTITUTION() ;

2.     rep_type max BOOST_PREVENT_MACRO_SUBSTITUTION() ;

3.     void on_error(rep_type , rep_type , violation_enum ) ;

| Copyright © 2001-2004 CrystalClear Software, Inc